- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Protected Member Functions | List of all members
AL::SceneBuilder Class Referenceabstract

`#include <scenebuilder.h>`

## Classes
class | Color
class | Config

## Public Member Functions
| SceneBuilder (const Config &_config)
| SceneBuilder (const SceneBuilder &other)
virtual | ~SceneBuilder ()
const Config & | getConfig () const
void | add (const Mesh &mesh, const Eigen::Affine3f &tf)
void | add (const Mesh &mesh, const Math::Transform &tf)
void | add (const Math::Sphere &shape, const Math::Transform &tf)
void | add (const Math::RoundedRectangle &shape, const Math::Transform &tf)
void | add (const Math::Pill &shape, const Math::Transform &tf)
void | add (const Math::Shape3D &shape, const Math::Transform &tf)

## Protected Member Functions
virtual void | xAddMesh (const Mesh &mesh, const Eigen::Affine3f &tf)=0

## Detailed Description

Definition at line 56 of file scenebuilder.h.

## Constructor & Destructor Documentation

AL::SceneBuilder::SceneBuilder | ( | const Config & | _config | ) |

AL::SceneBuilder::SceneBuilder | ( | const SceneBuilder & | other | ) |

virtual AL::SceneBuilder::~SceneBuilder | ( |  | ) |
| virtual

## Member Function Documentation

void AL::SceneBuilder::add | ( | const Mesh & | mesh,
|  | const Eigen::Affine3f & | tf
| ) |  |

void AL::SceneBuilder::add | ( | const Mesh & | mesh,
|  | const Math::Transform & | tf
| ) |  |

void AL::SceneBuilder::add | ( | const Math::Sphere & | shape,
|  | const Math::Transform & | tf
| ) |  |

void AL::SceneBuilder::add | ( | const Math::RoundedRectangle & | shape,
|  | const Math::Transform & | tf
| ) |  |

void AL::SceneBuilder::add | ( | const Math::Pill & | shape,
|  | const Math::Transform & | tf
| ) |  |

void AL::SceneBuilder::add | ( | const Math::Shape3D & | shape,
|  | const Math::Transform & | tf
| ) |  |

const Config& AL::SceneBuilder::getConfig | ( |  | ) | const

virtual void AL::SceneBuilder::xAddMesh | ( | const Mesh & | mesh,
|  | const Eigen::Affine3f & | tf
| ) |  |
| protected pure virtual

Implemented in AL::ColladaSceneBuilder.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/scenebuilder.h